Description

Redmine 3.4.3 uses gem pg 0.18.1 by default, but work fine with all versions of pg till 0.21.0.

Gem pg 1.0.0 was released January 10, 2018 and Redmine 3.4.3 don't support it.

Related issues:

Is duplicate of Redmine - Patch #28505: Update pg gem to 1.0 Closed

History

#1 - 2018-01-14 02:42 - Go MAEDA

- Category changed from Database to Gems support

I think we can use pg gem v0.21.0 for Redmine 4.0.0 but it is too early to move to pg gem v1.0.0 because it doesn't support PostgreSQL earlier than

version 9.2.

Some Linux distributions bundle earlier version of PostgreSQL. For example, CentOS 6.9 bundles PostgreSQL 8.4. Although CentOS 6 is not the

latest version, it is widely used in production and CentOS team will support CentOS 6 until November 30, 2020.

pg gem 1.0.0 dropped support for PostgreSQL < 9.2:

https://bitbucket.org/ged/ruby-pg/src/b8d08d4347d564b7ad89c2f3cb26bbdf05dcfe3b/History.rdoc?at=default&fileviewer=file-view-default#History.rdo

c-8

CentOS 6 will be supported until November 30, 2020:

https://wiki.centos.org/HowTos/EOL

#2 - 2018-01-14 05:59 - Go MAEDA

Ruby on Rails does not support pg v1.0.0 yet. We have to wait for Rails to support it.

AR 5.1.4 causes `Gem::LoadError` with pg 1.0.0 (wants '~> 0.18') · Issue #31669 · rails/rails

#3 - 2018-01-14 10:59 - VVD VVD

Agree about not to move by default on pg 1.0.0, but if we can add support of pg 1.0.0 - better to do this.

#4 - 2018-01-15 01:26 - Go MAEDA

VVD VVD wrote:

Agree about not to move by default on pg 1.0.0, but if we can add support of pg 1.0.0 - better to do this.

 Maybe you will be able to run Redmine with pg v1.0.0 if Ruby on Rails supports it. In other words, you will never be able to use pg v1.0.0 unless Rails

supports it. I think there is nothing to do on our side.

#5 - 2018-01-15 11:25 - VVD VVD

Ok. Close? Or Waiting unless Rails supports it?

#6 - 2018-01-15 13:51 - Go MAEDA

VVD VVD wrote:

Ok. Close? Or Waiting unless Rails supports it?

2024-03-13 1/2

https://rubygems.org/gems/pg/versions/
 I would like to keep this issue open until we have updated to the latest version of pg gem.

#7 - 2018-04-08 14:05 - Go MAEDA

- Is duplicate of Patch #28505: Update pg gem to 1.0 added

#8 - 2018-04-08 14:06 - Go MAEDA

- Status changed from New to Closed

#9 - 2018-04-08 14:07 - Marius BĂLTEANU

Go Maeda, sorry for not finding this ticket.
